# Uses of Enum Class
org.eclipse.net4j.util.lifecycle.ILifecycleEvent.Kind

Packages that use ILifecycleEvent.Kind
Package
Description
org.eclipse.net4j.util.lifecycle
A framework for components with a simple lifecycle.

## Uses of ILifecycleEvent.Kind in org.eclipse.net4j.util.lifecycle

Methods in org.eclipse.net4j.util.lifecycle that return ILifecycleEvent.Kind
Modifier and Type
Method
Description
`ILifecycleEvent.Kind`
ILifecycleEvent.`getKind()`
`ILifecycleEvent.Kind`
LifecycleEvent.`getKind()`
`static ILifecycleEvent.Kind`
ILifecycleEvent.Kind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ILifecycleEvent.Kind[]`
ILifecycleEvent.Kind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.eclipse.net4j.util.lifecycle with parameters of type ILifecycleEvent.Kind
Modifier
Constructor
Description
``
`LifecycleEvent(ILifecycle lifecycle, ILifecycleEvent.Kind kind)`
``
`LifecycleEvent(Lifecycle lifecycle, ILifecycleEvent.Kind kind)`